/*
Theme Name: Flatsome Child
Description: This is a child theme for Flatsome Theme
Author: UX Themes
Template: flatsome
Version: 3.0
*/

/*************** ADD CUSTOM CSS HERE.   ***************/
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Be+Vietnam+Pro:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
	--primary-color: #0D401C;
	--secondary-color: #f8c32c;
	--third-color: #278d45;
	--primary-color-rgb: 13, 64, 28;
	--second-color-rgb: 248, 195, 44;
	--third-color-rgb: 39, 141, 69;
	--heading-color: #072010;
}

body {
	font-family: "Be Vietnam Pro", sans-serif;
}

.autocomplete-suggestion .search-price,
.absolute-footer,
.wpcf7-spinner,
.woocommerce-form-coupon-toggle,
.woocommerce-order-overview__payment-method.method {
	display: none;
}

* {
	box-sizing: border-box;
}

img {
	max-width: 100%;
}

.col-inner:last-child {
	padding-bottom: 0;
}

a {
	transition: all .3s ease;
}

p:last-child {
	margin-bottom: 0;
}

.off-canvas-left .mfp-content,
.off-canvas-right .mfp-content {
	max-width: 350px;
	width: 100%;
}

.off-canvas:not(.off-canvas-center) .nav-vertical li>a {
	font-size: 16px;
	text-transform: math-auto;
	color: #000;
}

.mfp-bg.mfp-ready {
	background-color: rgba(0, 0, 0, 0.4) !important;
	opacity: 1 !important;
	backdrop-filter: blur(10px) !important;
	-webkit-backdrop-filter: blur(10px) !important;
}

.mfp-wrap.mfp-ready {
	backdrop-filter: none !important;
}

.nav:not(.nav-slide) .active>.children {
	padding-bottom: 0;
}

.icon-box-img img,
.icon-box-img svg {
	padding-top: 0;
}

.autocomplete-suggestion img+.search-name {
	font-size: 16px;
}

.header-nav .sub-menu .menu-item-has-children:after {
	content: '\f105';
	font-family: "FontAwesome";
	position: absolute;
	top: 50%;
	right: 10px;
	transform: translateY(-50%);
	font-size: 11px;
}

.header-nav .sub-menu .menu-item-has-children {
	position: relative;
	width: 100%;
}

.header-nav .sub-menu .menu-item-has-children .sub-menu {
	display: none;
	opacity: 0;
	transition: all 0.25s ease;
	position: absolute;
	left: 100%;
	background: #fff;
	border-radius: 5px;
	top: 0;
	box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.header-nav .sub-menu .menu-item-has-children:hover .sub-menu {
	display: block;
	opacity: 1;
}

.header-nav .sub-menu .menu-item-has-children:hover .sub-menu .sub-menu {
	display: none;
	opacity: 0;
}

.header-nav .sub-menu .menu-item-has-children:hover .sub-menu .menu-item-has-children:hover .sub-menu {
	display: block;
	opacity: 1;
}

.nav-dropdown-default {
	display: flex;
	flex-direction: column;
	padding: 10px;
}

.sub-menu li a {
	min-width: 150px;
	font-weight: 400 !important;
	text-transform: math-auto !important;
	color: initial !important;
	font-size: 14px !important;
}


.nav-uppercase li a,
.nav-uppercase li>a,
ul.nav-uppercase>li>a {
	text-transform: none !important;
	letter-spacing: normal !important;
}

.flickity-button {
	opacity: 1;
}

.flickity-button svg {
	background-color: #fff;
	box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
	padding: 10px;
	border-radius: 4px;
	min-width: 30px;
	max-width: 30px;
	height: 30px;
}

.row-slider .flickity-prev-next-button svg {
	padding: 10px !important;
}

.slider-nav-light .flickity-prev-next-button .arrow,
.slider-nav-light .flickity-prev-next-button svg {
	fill: #333;
}

.flickity-page-dots {
	background: #ffffff30;
	width: max-content;
	margin: auto;
	border-radius: 16px;
	padding: 0px 4px;
	padding-bottom: 2px;

}

.flickity-page-dots .dot {
	width: 8px;
	height: 8px;
	background-color: #fff;
}

.wpcf7 div.wpcf7-response-output,
.wpcf7 form.invalid .wpcf7-response-output {
	background: #fddddd;
	border: 1px solid red;
	color: red;
	box-shadow: none;
	font-size: 14px;
	padding: 15px;
	border-radius: 6px;
	margin: 0;
	margin-top: 15px;
}

.wpcf7 form.sent .wpcf7-response-output {
	background: #ebfee3;
	color: #398f14;
	border-color: #398f142e;
}

ul:last-child,
li:last-child {
	margin-bottom: 0;
}

.header-main {
	&:after {
		content: '';
		position: absolute;
		bottom: -5px;
		left: 0;
		width: 100%;
		height: 13px;
		background-image: url(/wp-content/uploads/2024/05/shape-layer1.webp);
		background-size: cover;
	}
}

.header-contact-wrapper {
	li a {
		i {
			width: 30px;
			height: 30px;
			background-color: var(--secondary-color);
			color: var(--primary-color);
			padding: 7px;
			border-radius: 50px;
			display: flex;
			align-items: center;
			justify-content: center;
		}

		span {
			font-size: 14px;
		}
	}
}

.links>li>a:before,
i[class*=" icon-"],
i[class^=icon-] {
	line-height: 1;
}

.header-social-icons {
	background-color: #FFFFFF17;
	padding: 8px 22px !important;
	border-radius: 50px;

	a {
		font-size: 13px !important;
		margin: 0;
		margin-right: 12px !important;
	}
}

.header-main .header-nav-main>li>a {
	font-size: 18px;
	font-weight: 500;
}

.header-nav-main {
	.header-search-lightbox {

		a {
			width: 55px;
			height: 55px;
			border: 1px solid #0D401C26;
			display: flex;
			align-items: center;
			justify-content: center;

			i {
				font-size: 16px;
				color: #333;
			}
		}
	}

	a.header-cart-link {
		width: 55px;
		height: 55px;
		border: 1px solid #0D401C26;
		display: flex;
		align-items: center;
		justify-content: center;

		i {
			font-size: 16px;
			color: #333;
		}
	}

	a:hover {
		i {
			color: #fff;
		}
	}
}

.account-item .header-button {
	a {
		width: 55px;
		height: 55px;
		border: 1px solid #0D401C26;
		display: flex;
		align-items: center;
		justify-content: center;

		i {
			font-size: 16px;
			color: #333;
		}
	}

	a:hover {
		i {
			color: #fff;
		}
	}
}

.header-top {
	.social-icons {
		a {
			background-color: unset;
			border-radius: unset;
			width: unset;
			height: unset;
			display: inline-flex;
			margin: 0 !important;
			margin-right: 8px !important;
			padding: unset;
			transition: all .3s ease;

			i {
				color: unset;
			}
		}

		a:hover {
			background-color: unset;
		}

	}
}

.ss-pd {
	padding-top: 80px !important;
	padding-bottom: 50px !important;
}

.ss-footer {
	padding-bottom: 0 !important;

	h3 {
		font-size: 22px;
		position: relative;
		padding-bottom: 10px;
		margin-bottom: 30px;

		&:after {
			content: '';
			position: absolute;
			bottom: 0;
			left: 0;
			width: 20%;
			height: 2px;
			background-color: var(--secondary-color);
		}
	}

	.ul-social {
		ul {
			li:last-child {
				margin-bottom: 0;
			}

			li {
				list-style-type: none;
				margin-left: 0;

				i {
					color: var(--secondary-color);
					width: 16px;
					height: 16px;
					display: inline-flex;
					align-items: center;
					justify-content: center;
					margin-right: 8px;
				}
			}
		}
	}

	form {
		margin-bottom: 0;

		input {
			border-radius: 50px;
			width: 100%;
			height: 50px;
		}

		input.wpcf7-submit {
			margin: 0;
			text-transform: math-auto;
		}
	}

	&:after {
		content: '';
		position: absolute;
		width: 500px;
		height: 500px;
		background-image: url(/wp-content/uploads/2024/06/footer-layer1.webp);
		background-size: contain;
		background-repeat: no-repeat;
		bottom: 0;
		right: 0;
		opacity: 0.2;
	}

	&:before {
		content: '';
		position: absolute;
		width: 100%;
		height: 23px;
		background-image: url(/wp-content/uploads/2024/08/ss-dv-shape-5-1.webp);
		background-size: cover;
		top: -20px;
		left: 0;
		filter: brightness(0) saturate(100%) invert(14%) sepia(37%) saturate(2485%) hue-rotate(110deg) brightness(93%) contrast(90%);
		z-index: 1;
	}


	.box-blog-post {
		.box-text {
			padding: 0;
			padding-left: 15px;

			.post-title a {
				color: #fff;
				-webkit-line-clamp: 3;
			}
		}
	}
}

.blog-vertical {
	.box-blog-post .is-divider {
		display: none;
	}

	.box-vertical {
		display: flex;
		align-items: center;
	}

	.box-image {
		border-radius: 8px;
		overflow: hidden;
	}

	.box-text {
		padding: 0;
		padding-left: 15px;
	}

	.post-title a {
		display: -webkit-box;
		-webkit-box-orient: vertical;
		-webkit-line-clamp: 3;
		overflow: hidden;
		margin: 0;
		font-weight: 500;
		font-size: 16px;
		line-height: 1.3;
	}
}

.social-icons {
	a {
		background-color: var(--secondary-color);
		border-radius: 50%;
		width: 30px;
		height: 30px;
		display: inline-flex;
		align-items: center;
		justify-content: center;
		margin: 0 !important;
		margin-right: 8px !important;
		padding: 5px;
		transition: all .3s ease;

		i {
			color: var(--primary-color);
			font-size: 14px !important;
		}
	}

	a:hover {
		background-color: #fff;
	}
}

.graphic-top {
	&:before {
		content: '';
		position: absolute;
		width: 100%;
		height: 23px;
		background-image: url(/wp-content/uploads/2024/08/ss-dv-shape-5-1.webp);
		background-size: cover;
		top: -20px;
		left: 0;
		z-index: 1;
	}
}

.graphic-bottom {
	&:after {
		content: '';
		position: absolute;
		width: 100%;
		height: 15px;
		background-image: url(/wp-content/uploads/2024/08/h1-ss-divider-1.webp);
		background-size: cover;
		bottom: -5px;
		left: 0;
		z-index: 1;
	}
}

.ss-we-have {

	.box-image {
		border-radius: 12px;
		overflow: hidden;

		.overlay {
			background: linear-gradient(to top, rgba(var(--primary-color-rgb), 0.89) 0%, rgba(var(--primary-color-rgb), 0.2) 50%);
		}
	}

	.box-text {
		padding: 15px;
	}

	.box-text-inner {
		h3 {
			font-size: 28px;
			font-weight: 800;
		}

		p {
			font-size: 16px;
		}
	}

	.box-number {
		>.col .box:hover {
			&:after {
				content: '' !important;
				opacity: 0;
			}
		}

		>.col .box {
			&:after {
				content: '';
				font-size: 28px;
				font-weight: 800;
				position: absolute;
				bottom: 0;
				left: 50%;
				transform: translate(-50%, -50%);
				color: #fff;
				width: 100%;
				padding: 0 15px;
				text-align: center;
				transition: all .3s ease;
				opacity: 1;
			}
		}

		>.col:nth-child(1) .box {
			&:after {
				content: 'Nông trại hữu cơ';
			}
		}

		>.col:nth-child(2) .box {
			&:after {
				content: 'Rau củ & thực phẩm';
			}
		}

		>.col:nth-child(3) .box {
			&:after {
				content: 'Khu thư giãn nông trại';
			}
		}

		>.col:nth-child(4) .box {
			&:after {
				content: 'Du lịch trải nghiệm';
			}
		}
	}
}

.frame-title {
	p {
		margin-bottom: 0;

		span {
			position: relative;
			padding-left: 50px;
			font-size: 32px;
			color: var(--third-color);

			&:before {
				content: '';
				position: absolute;
				width: 40px;
				height: 40px;
				background-image: url(/wp-content/uploads/2026/04/wheat.png);
				background-size: contain;
				background-repeat: no-repeat;
				top: 50%;
				left: 0;
				transform: translateY(-50%);
			}
		}
	}

	h1,
	h2 {
		font-size: 45px;
		font-weight: bolder;
		margin-bottom: 20px;
	}
}

.round-12px {
	border-radius: 12px;
	overflow: hidden;
}

.round-16px {
	border-radius: 16px;
	overflow: hidden;
}

.round-24px {
	border-radius: 24px;
	overflow: hidden;
}

.ss-about-us {
	.column-right {
		.frame-title {
			span {
				color: #fff;
			}

			h2 {
				color: var(--secondary-color);
			}
		}

		ul {
			margin-bottom: 0;
		}

		.icon-box {
			margin-top: 30px;
			align-items: center;

			.icon-box-img .icon {
				background-color: var(--secondary-color);
				border-radius: 50%;
				padding: 15px;
			}

			h4 {
				margin-bottom: 0;
			}
		}
	}


}

.ss-about-us.graphic-bottom {
	&:after {
		filter: brightness(0) saturate(100%) invert(91%) sepia(4%) saturate(755%) hue-rotate(323deg) brightness(109%) contrast(91%);
	}
}

.ss-value {
	.icon-box-img {
		.icon {
			position: absolute;
			top: 0;
			transform: translateY(-100px);
			background-color: var(--secondary-color);
			padding: 30px;
			border-radius: 50%;
		}
	}

	.icon-box-text {
		padding-top: 50px;

		h3 {
			font-size: 23px;
			position: relative;
			padding-bottom: 15px;
			margin-bottom: 15px;

			&:after {
				content: '';
				position: absolute;
				bottom: 0;
				left: 50%;
				transform: translateX(-50%);
				width: 70px;
				height: 3px;
				background-color: var(--secondary-color);
			}
		}
	}
}

.flickity-slider>.row:not(.is-selected) {
	opacity: 1;
}

.ss-whychoose.graphic-bottom {
	&:after {
		filter: brightness(0) saturate(100%) invert(91%) sepia(4%) saturate(755%) hue-rotate(323deg) brightness(109%) contrast(91%);
	}
}

.ss-commit {
	.icon-box-img .icon {
		background-color: var(--third-color);
		padding: 20px;
		border-radius: 50%;
	}

	h3 {
		font-size: 16px;
	}

	.graphic-image {
		position: relative;

		&:after {
			content: '';
			position: absolute;
			width: 130px;
			height: 190px;
			background-image: url(/wp-content/uploads/2024/08/h1-img-cm-layer.webp);
			background-size: contain;
			background-repeat: no-repeat;
			top: 0;
			left: 20px;
			z-index: 1;
		}
	}
}

.product-small.box {
	border: 1px solid #0d401c3b;
	background-color: #fff;
	border-radius: 16px;
	overflow: hidden;

	.box-text {
		padding: 15px;
	}

	.product-title {
		margin-bottom: 10px;

		a {
			font-size: 18px;
			font-weight: 500;
			color: var(--heading-color);
			display: -webkit-box;
			-webkit-box-orient: vertical;
			-webkit-line-clamp: 2;
			overflow: hidden;
		}
	}

	.price-wrapper .price {
		.amount {
			color: var(--third-color);
			font-size: 18px;
		}

		del {
			text-decoration: none;

			.amount {
				color: #bbb;
				font-size: 14px;
				text-decoration: line-through;
			}
		}
	}
}

.product-info {
	.price-wrapper .price {
		.amount {
			color: var(--third-color);
			font-size: 30px;
		}

		del {
			text-decoration: none;

			.amount {
				color: #bbb;
				font-size: 20px;
				text-decoration: line-through;
			}
		}
	}
}

.badge-container {
	margin-top: 10px;
	margin-left: 10px;

	.badge-frame {
		margin-left: 0;
		height: unset;
		width: unset;
	}

	.badge-inner {
		border: 0;
		font-size: 14px;
		border-radius: 4px;
		color: #333;
		padding: 5px;
	}
}

.ss-partner {
	h3 {
		font-size: 28px;
		color: var(--primary-color);
		margin-bottom: 0;
	}

	ul {
		margin-top: 20px;

		li {
			text-align: left;
		}
	}
}

.accordion-item {
	margin-bottom: 15px;
	border-radius: 8px;
	overflow: hidden;

	&:last-child {
		margin-bottom: 0;
	}

	.accordion-title,
	.accordion-title.active {
		border-top: 0;
		background-color: var(--primary-color);
		color: #fff;
		padding-left: 20px;
		font-weight: 500;
		margin-bottom: 0;
	}

	.toggle {
		left: unset;
		right: 0;
		margin-left: 0;
		top: 50%;
		transform: translateY(-50%);

		i {
			font-size: 18px;
		}
	}

	.accordion-inner {
		padding: 20px;
		background-color: #F3F5F3;
	}
}

.box-blog-post {
	.box-image {
		border-radius: 15px;
		overflow: hidden;
	}

	.box-text {
		padding: 15px;
		padding-bottom: 0;

		.post-title a {
			font-size: 18px;
			font-weight: 500;
			color: var(--heading-color);
			display: -webkit-box;
			-webkit-box-orient: vertical;
			-webkit-line-clamp: 2;
			overflow: hidden;
		}

		.from_the_blog_excerpt {
			display: -webkit-box;
			-webkit-box-orient: vertical;
			-webkit-line-clamp: 2;
			overflow: hidden;
			font-size: 16px;
			color: #bbb;
		}
	}
}

.ss-breadcrumb {
	h1 {
		margin: 0;
		position: relative;
		font-size: 60px;
		font-weight: bolder;
		padding-bottom: 30px;
		line-height: 1.3;

		&:after {
			content: '';
			position: absolute;
			width: 240px;
			height: 9px;
			background-image: url(/wp-content/uploads/2024/09/pt-shape-after.svg);
			background-size: cover;
			bottom: 0;
			left: 0;
			z-index: 1;
		}
	}

	.bg.bg-loaded {
		background-attachment: fixed;
	}
}

.ss-breadcrumb.graphic-bottom {
	&:after {
		height: 63px;
		background-image: url(/wp-content/uploads/2024/09/shape-layer2.webp);
	}
}

.frame-title.v2 {
	p {
		& span {
			&:before {
				filter: brightness(0) saturate(100%) invert(46%) sepia(24%) saturate(1184%) hue-rotate(85deg) brightness(92%) contrast(93%);
			}
		}
	}
}

.ss-aboutus-page {
	&.graphic-bottom {
		&:after {
			background-image: url(/wp-content/uploads/2024/08/ss-dv-shape-5-1.webp);
			height: 23px;
		}
	}

	.box-image {
		border-radius: 15px;
		overflow: hidden;
	}
}

.ss-vision-mission {
	h2 {
		font-size: 40px;
		color: var(--secondary-color);
	}

	p {
		margin-bottom: 0;
	}

	.h-100 {
		height: 100%;

		.col-inner {
			height: 100%;
		}
	}

	&.graphic-bottom {
		&:after {
			filter: brightness(0) saturate(100%) invert(91%) sepia(4%) saturate(755%) hue-rotate(323deg) brightness(109%) contrast(91%);
		}
	}
}

.graphic-right {
	&:before {
		content: '';
		position: absolute;
		width: 500px;
		height: 300px;
		background-image: url(/wp-content/uploads/2024/08/ab-ss2-shape.webp);
		background-size: contain;
		background-repeat: no-repeat;
		bottom: 0;
		right: 0;
		opacity: 0.2;
	}
}

h1,
h2,
h3,
h4,
h5,
h6 {

	b,
	strong {
		font-weight: bold;
	}
}

.ss-commit-page {
	h2 {
		font-size: 70px;
		background-image: url(/wp-content/uploads/2024/08/bg-clip-text2.webp);
		color: transparent;
		-webkit-background-clip: text;
		-moz-background-clip: text;
		background-clip: text;
		background-size: cover;
		background-repeat: repeat-x;
		background-position: left center;
	}

	.icon-box-img {
		.icon {
			border: 1px solid var(--primary-color);
			border-radius: 50%;
			padding: 15px;
			position: relative;

			&:after {
				content: '';
				position: absolute;
				width: 1px;
				height: 100%;
				background-color: var(--primary-color);
				transform: rotate(-30deg);
				top: 0;
				left: 50%;
			}
		}
	}

	h3 {
		margin: 0;
		font-size: 18px;
		font-weight: 500;
	}

	&.graphic-bottom {
		&:after {
			filter: brightness(0) saturate(100%) invert(17%) sepia(17%) saturate(6562%) hue-rotate(22deg) brightness(93%) contrast(92%);
		}
	}
}

.ss-history {
	.graphic-image {
		position: relative;
		overflow: visible;

		img {
			border-radius: 24px;
		}

		&:after {
			content: '';
			position: absolute;
			width: 150px;
			height: 150px;
			background-image: url(/wp-content/uploads/2025/09/since-2024.png);
			background-size: contain;
			background-repeat: no-repeat;
			top: -25px;
			right: -35px;
			transform: rotate(30deg);
		}
	}

	.frame-title {
		& p {
			span {
				color: var(--secondary-color);
			}
		}
	}

	&:before {
		content: '';
		position: absolute;
		width: 460px;
		height: 500px;
		background-image: url(/wp-content/uploads/2024/08/ab-ss-pr-bg2.webp);
		background-size: contain;
		background-repeat: no-repeat;
		top: 0;
		right: 0;
	}
}

.ss-image-box {
	.box {
		border-radius: 16px;
		overflow: hidden;
		height: 100%;

		.box-text {
			height: 100%;

			p {
				font-size: 16px;
			}
		}

		h3 {
			font-size: 20px;
			margin-bottom: 15px;
		}
	}
}

.ss-contact {
	iframe {
		border-radius: 16px;
		overflow: hidden;
	}

	.icon-box {
		align-items: center;
		margin-bottom: 20px;

		h3 {
			font-size: 18px;
		}

		&:last-child {
			margin-bottom: 0;
		}
	}

	.icon-box-img {
		.icon {
			background-color: #52320A;
			padding: 15px;
			border-radius: 50%;
		}
	}

	form {
		margin-bottom: 0;

		.two-col p {
			display: flex;
			align-items: center;
			gap: 15px;
		}

		input,
		textarea {
			height: 55px;
			border-radius: 24px;
			padding: 15px;
			background-color: #F3F5F3;
			border: 1px solid transparent;
			box-shadow: none !important;

			&:hover,
			&:focus {
				background-color: #fff;
				border-color: var(--primary-color);
			}
		}

		.wpcf7-submit {
			height: unset !important;
			padding: 2px 24px;
			background-color: var(--primary-color) !important;
			text-transform: math-auto;
		}

		textarea {
			height: 200px;
		}
	}
}

body.woocommerce-page {
	.shop-page-title {
		margin-top: 30px;

		.flex-col.flex-grow.medium-text-center {
			display: none;
		}

		.flex-col.medium-text-center {
			display: flex;
			align-items: center;
			justify-content: space-between;
			width: 100%;
			gap: 15px;

			.woocommerce-result-count {
				display: block !important;
				margin: 0;
			}
		}

		.woocommerce-ordering select {
			border-radius: 50px;
			height: 45px;
			padding: 10px 20px;
		}
	}

	#main {
		margin-bottom: 30px;
	}
}

body.woocommerce-page.single-product {
	#main {
		margin-top: 30px;
		margin-bottom: 60px;
	}
}

.product-gallery {
	.image-tools {
		display: none;
	}

	img {
		border-radius: 16px;
		transform: none !important;
		margin: 0 !important;
	}

	.product-thumbnails a {
		border-radius: 16px;
		overflow: hidden;
	}

	.product-thumbnails .is-nav-selected a {
		padding: 10px !important;
		border: 1px solid #bbb;
		border-radius: 16px;

		img {
			border-radius: 8px;
		}
	}
}

form.cart {
	display: flex;
	align-items: center;
	gap: 15px;
}

.product-info form.cart {
	display: inline-flex !important;
	align-items: center;
	background: #fff;
	border-radius: 99px;
	padding: 5px;
	padding-left: 10px;
	box-shadow: 0px 4px 20px rgba(0, 0, 0, 0.05);
	border: 1px solid #f1f5f9;
	gap: 10px;
	margin-bottom: 20px;
}

.product-info form.cart .quantity {
	display: flex !important;
	align-items: center;
	margin: 0 !important;
	padding: 0 !important;
	border: none !important;
}

.product-info form.cart .quantity input.minus,
.product-info form.cart .quantity input.plus,
.product-info form.cart .quantity button.minus,
.product-info form.cart .quantity button.plus {
	width: 32px !important;
	height: 32px !important;
	min-height: unset;
	border-radius: 50% !important;
	background-color: #f1f5f9 !important;
	color: var(--primary-color) !important;
	border: none !important;
	font-size: 18px !important;
	font-weight: bold !important;
	display: flex !important;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	transition: all 0.2s ease;
	padding: 0 !important;
	margin: 0 !important;
	line-height: 1 !important;
	text-shadow: none !important;
}

.product-info form.cart .quantity input.minus:hover,
.product-info form.cart .quantity input.plus:hover,
.product-info form.cart .quantity button.minus:hover,
.product-info form.cart .quantity button.plus:hover {
	background-color: var(--primary-color) !important;
	color: #fff !important;
}

.product-info form.cart .quantity input.qty {
	width: 35px !important;
	border: none !important;
	background: transparent !important;
	font-weight: 700 !important;
	color: #1e293b !important;
	font-size: 15px !important;
	padding: 0 !important;
	text-align: center !important;
	height: auto !important;
	border: 0;
	box-shadow: none;
}

.product-info form.cart .single_add_to_cart_button {
	border-radius: 99px !important;
	background-color: var(--primary-color) !important;
	color: #fff !important;
	font-weight: 600 !important;
	font-size: 14px !important;
	padding: 0 20px !important;
	height: 44px !important;
	border: none !important;
	margin: 0 !important;
	display: flex !important;
	align-items: center;
	gap: 10px;
	transition: all 0.3s ease;
	text-transform: none !important;
}

.product-info form.cart .single_add_to_cart_button::before {
	content: "\f07a";
	font-family: "Font Awesome 6 Pro" !important;
	font-weight: 900;
	font-size: 16px;
}

.product-info form.cart .single_add_to_cart_button:hover {
	background-color: var(--secondary-color) !important;
	box-shadow: 0 4px 12px #f8c32c69;
	transform: translateY(-1px);
}

.product-info {
	padding-top: 0;

	.woocommerce-breadcrumb.breadcrumbs {
		display: none;
	}
}

.related.related-products-wrapper.product-section {
	border: 0;
}

.nav-tabs+.tab-panels {
	border-radius: 16px;
}

.entry-content table:last-child {
	margin-bottom: 0;
}

.product-short-description {
	background-color: #e6f1ea;
	padding: 15px;
	border-radius: 8px;
	margin-bottom: 15px;
	font-size: 14px;
	border: 1px dashed var(--heading-color);
}

.product-info {

	.button i,
	button i {
		top: -5.5px;
	}
}

.blog-wrapper {
	padding-top: 60px;

	.post-item {
		.box-text {
			padding: 15px 0px;
			padding-bottom: 0;
		}
	}

	.blog-share {

		.button i,
		button i {
			top: -3px;
			vertical-align: unset;
		}
	}
}

.widget {
	background-color: #fff;
	border: 1px solid #e9e4df;
	border-radius: 16px;
	overflow: hidden;

	.is-divider {
		display: none;
	}

	.widget-title {
		display: block;
		padding: 15px 20px;
		background-color: var(--primary-color);
		color: #fff;
		font-size: 18px !important;
	}

	form {
		padding: 20px;
		margin-bottom: 0;

		input {
			box-shadow: none !important;
		}
	}

	ul {
		padding: 20px;

		li a:hover {
			transform: translateX(4px);
			color: var(--primary-color);
		}
	}

	.post-item {
		.box-text {
			padding-top: 0;
			padding-left: 15px;

			a {
				font-size: 16px;
				-webkit-line-clamp: 3;
			}
		}
	}
}

.entry-image {
	img {
		border-radius: 16px;
	}
}

.ss-map {

	p,
	iframe {
		line-height: 0;
		margin: 0;
	}
}

.ss-affiliate {
	form {
		margin-bottom: 0;
	}

	button {
		margin: 0;
	}
}

.table-filters,
.copy-field-wrapper {
	input {
		margin: 0 !important;
	}
}

.yith-wcaf-dashboard .yith-wcaf-dashboard-settings .affiliate-settings-box .settings-box .toggle-right .toggle {
	height: 30px;
}

.yith-wcaf-dashboard .yith-wcaf-toggle+.toggle:before {
	content: none;
}

.settings-box .toggle-right .active .toggle {
	background-color: var(--primary-color);
}

.dashboard-links {
	li {
		margin-left: 0 !important;
	}
}

.yith-wcaf-registration-form a.button,
.yith-wcaf-registration-form button,
.yith-wcaf-registration-form input[type=submit] {
	padding: 5px;
	margin: 0;
}

.col-inner.has-border {
	padding: 20px;
	border-radius: 8px;
}

form.checkout h3 {
	padding-top: 0;
}

.address-line {
	display: flex;
	align-items: center;
	justify-content: space-between;
	border-bottom: 1px solid #ececec;
	padding: 5px 0;
	font-size: 14px;
}

.ss-aff-1 {
	position: relative;

	.row-icon>.col {
		margin: 0;
	}

	&:after {
		content: '';
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		width: 200px;
		height: 200px;
		background-color: var(--primary-color);
		border-radius: 50%;
		filter: blur(200px);
	}

	img {
		filter: brightness(0) saturate(100%) invert(39%) sepia(63%) saturate(1557%) hue-rotate(142deg) brightness(96%) contrast(97%);
	}

	.icon-eidt {
		padding: 15px 30px;
		border-radius: 12px;
		background-color: #ffffff1a;
		border: 1px solid #ffffff40;
		display: inline-flex;
		gap: 8px;
		align-items: center;

		.icon-box-img {
			margin: 0;
		}

		.icon-box-text {
			padding: 0;

			h3 {
				font-size: 16px;
			}
		}
	}

	.icon-eidt.top {
		width: max-content;
		border-radius: 50px;
		padding: 8px 16px;

		.icon-box-text,
		.icon-box-text * {
			width: max-content;
			padding: 0;

			h3 {
				font-size: 14px;
			}
		}

		.icon-box-img {
			width: 15px !important;
		}
	}


	.frame-title-edit {
		h1 {
			font-size: 48px;
		}

		p {
			font-size: 18px;
			color: #bbb;
			max-width: 80%;
			margin: auto;
		}
	}
}

.frame-title {
	h2 {
		font-size: 36px;
	}
}

.ss-aff-2 {
	.icon-inner {
		height: 60px;
		padding: 15px;
		background: rgb(0 69 60 / 13%);
		border-radius: 8px;
		display: flex;

		img {
			filter: brightness(0) saturate(100%) invert(19%) sepia(61%) saturate(1173%) hue-rotate(136deg) brightness(91%) contrast(105%);
		}
	}
}

.ss-aff-3 {
	.num-process {
		margin-bottom: 20px;

		div {
			background-color: var(--primary-color);
			color: #fff;
			width: 60px;
			height: 60px;
			display: flex;
			align-items: center;
			justify-content: center;
			border-radius: 50%;
			font-size: 20px;
			font-weight: bold;
		}
	}

	.icon-box {
		padding: 20px;
		border: 1px solid var(--primary-color);
		border-radius: 15px;
		height: 300px;
		overflow: hidden;
	}
}

.ss-aff-4 {
	.icon-box-text {
		h4 {
			font-size: 40px;
			color: var(--primary-color);
			line-height: 1;
			margin-bottom: 12px;
		}
	}

	ul {
		margin-bottom: 0;

		li {
			margin-left: 0;
			color: green;
			list-style-type: none;
		}

		li:last-child {
			margin-bottom: 0;
		}

		li::marker {
			content: none;
		}

		li::before {
			content: "\f00c";
			font-family: "Font Awesome 6 Pro";
			font-weight: 900;
			color: green;
			margin-right: 8px;
		}
	}
}

.ss-aff-6 {
	.testimonial-box {
		padding: 20px;
		border: 1px solid var(--primary-color);
		border-radius: 15px;

		.testimonial-meta {
			display: none;
		}
	}

	.flickity-page-dots {
		bottom: -40px;
	}
}

.secondary.is-underline,
.secondary.is-link,
.secondary.is-outline,
.stars a.active,
.star-rating:before,
.woocommerce-page .star-rating:before,
.star-rating span:before,
.color-secondary {
	color: #FFD700 !important;
}

.flickity-slider>.row:not(.is-selected) {
	opacity: 1;
}

.ss-aff-7 {
	.gallery-box {
		padding: 15px;
		border: 1px solid var(--primary-color);
		border-radius: 15px;

		.box-text {
			display: none;
		}
	}
}

a#open-register-aff {
	background-color: var(--primary-color);
	padding: 14px 40px;
	color: #fff;
	border-radius: 8px;
	font-weight: bold;
	font-size: 20px;
}

#aff-register-popup {


	.yith-wcaf-registration-form .register-form,
	.yith-wcaf-registration-form .already-an-affiliate-wrapper,
	.yith-wcaf-registration-form .become-an-affiliate-form,
	.yith-wcaf-registration-form .pending-request-wrapper,
	.yith-wcaf-registration-form .rejected-request-wrapper {
		background-color: transparent;
		padding: 0;
	}

	.already-an-affiliate {
		margin-bottom: 0;
	}
}

#aff-register-overlay {
	display: none;
	position: fixed;
	inset: 0;
	background: rgba(0, 0, 0, 0.75);
	z-index: 99999;
	overflow-y: auto;
}

#aff-register-popup {
	background: #fff;
	max-width: 520px;
	margin: 60px auto;
	padding: 40px 36px;
	position: relative;
	border-radius: 4px;

	form {
		margin-bottom: 0;
	}

	.yith-wcaf-registration-form .login-form p.form-row .error-msg,
	.yith-wcaf-registration-form .register-form p.form-row .error-msg {
		position: unset;
	}
}

#aff-register-close {
	position: absolute;
	top: 0;
	right: 0;
	margin: 0;
	border: none;
	font-size: 26px;
	cursor: pointer;
	color: #fff;
	background: #333;
	padding: 0;
	width: 40px;
	min-height: 40px;
	display: flex;
	align-items: center;
	justify-content: center;
	line-height: 1;
}

.yith-wcaf-registration-form .already-an-affiliate-wrapper,
.yith-wcaf-registration-form .become-an-affiliate-form,
.yith-wcaf-registration-form .pending-request-wrapper,
.yith-wcaf-registration-form .rejected-request-wrapper {
	padding: 30px;
}

.register-form {
	padding: 30px !important;

	input {
		margin-bottom: 0;
	}
}

.show-password-input:after {
	content: none !important;
}

button.show-password-input {
	display: none;
}

.yith-wcaf-registration-form .login-form p.form-row .error-msg,
.yith-wcaf-registration-form .register-form p.form-row .error-msg {
	position: unset;
}

.account-container.lightbox-inner {
	max-width: 500px;
	margin: auto;
}





@media(max-width: 1000px) {
	.ss-aff-4 {
		& .icon-box-text {
			h4 {
				font-size: 30px;
			}
		}
	}

	.account-item .header-button {
		a {
			width: 32px;
			height: 32px;
		}
	}

	.product-info {
		margin-top: 30px;
	}

	body.woocommerce-page {
		& .shop-page-title {
			.flex-col.medium-text-center {
				flex-direction: column;
			}
		}
	}

	.ss-history {
		&:before {
			top: unset;
			bottom: 0;
			width: 362px;
			height: 370px;
		}
	}

	.ss-breadcrumb {
		h1 {
			font-size: 40px;
		}
	}

	.frame-title {
		p {
			span {
				font-size: 28px;
			}
		}

		h1,
		h2 {
			font-size: 32px;
		}
	}

	.mobile-nav {
		.header-search-lightbox {

			a {
				width: 32px;
				height: 32px;
				border: 1px solid #0D401C26;
				display: flex;
				align-items: center;
				justify-content: center;

				i {
					font-size: 14px;
					color: #333;
				}
			}
		}

		a.header-cart-link {
			width: 32px;
			height: 32px;
			border: 1px solid #0D401C26;
			display: flex;
			align-items: center;
			justify-content: center;

			i {
				font-size: 14px;
				color: #333;
			}
		}

		a:hover {
			i {
				color: #fff;
			}
		}
	}

	.ss-pd {
		padding-top: 40px !important;
		padding-bottom: 30px !important;
	}

	.ss-footer {
		&:after {
			width: 350px;
			height: 350px;
		}
	}

	.blog-vertical {
		.box-image {
			border-radius: 8px;
			overflow: hidden;
			width: 35% !important;
		}
	}

	.blog-vertical {
		.post-title a {
			font-size: 18px;
			line-height: 1.5;
		}
	}
}

@media(max-width: 600px) {
	.ss-breadcrumb {
		h1 {
			font-size: 22px;
		}
	}

	.nav-tabs+.tab-panels {
		border-top-left-radius: 0;
		border-top-right-radius: 0;
		padding: 15px;
	}

	.ss-contact {
		& form {
			.two-col p {
				display: block;
			}
		}
	}

	.ss-history {
		& .graphic-image {
			&:after {
				width: 100px;
				height: 100px;
				top: -15px;
				right: -20px;
			}
		}
	}

	.ss-vision-mission {
		h2 {
			font-size: 30px;
		}
	}

	.ss-partner {
		h3 {
			font-size: 20px;
		}
	}

	.product-small.box {
		& .product-title {
			a {
				font-size: 14px;
			}
		}

		& .price-wrapper .price {
			.amount {
				font-size: 14px;
			}
		}
	}

	.frame-title {
		p {
			span {
				font-size: 20px;
			}
		}

		h1,
		h2 {
			font-size: 26px;
		}
	}

	.ss-commit {
		& .graphic-image {
			&:after {
				width: 70px;
				height: 90px;
			}
		}
	}
}